%global modname Mastodon

Name:               python-Mastodon
Version:            1.2.1
Release:            1%{?dist}
Summary:            Python wrapper for the Mastodon API


License:            MIT
URL:                https://github.com/halcy/%{modname}.py
Source0:            %{url}/archive/%{version}/%{modname}.py-%{version}.tar.gz
BuildArch:          noarch

%description
%{summary}.

%package -n python2-%{modname}
Summary:            %{summary}
%{?python_provide:%python_provide python2-%{modname}}
BuildRequires:      python2-devel
BuildRequires:      python-setuptools
BuildRequires:      python2-six
BuildRequires:      python2-requests
BuildRequires:      python2-pytest-runner
BuildRequires:      python2-dateutil
BuildRequires:      pytz
BuildRequires:      python2-decorator
BuildRequires:      python2-pytest-mock
BuildRequires:      python2-pytest-vcr
BuildRequires:      python2-pytest-cov
BuildRequires:      python2-pytest-timeout
BuildRequires:      python2-hypothesis
BuildRequires:      python2-celery
Requires:           python2-six

%description -n python2-%{modname}
%{summary}.

Python 2 version.

%package -n python%{python3_pkgversion}-%{modname}
Summary:            %{summary}
%{?python_provide:%python_provide python%{python3_pkgversion}-%{modname}}
BuildRequires:      python%{python3_pkgversion}-devel
BuildRequires:      python%{python3_pkgversion}-setuptools
BuildRequires:      python%{python3_pkgversion}-six
BuildRequires:      python%{python3_pkgversion}-requests
BuildRequires:      python%{python3_pkgversion}-pytest-runner
BuildRequires:      python%{python3_pkgversion}-dateutil
BuildRequires:      python%{python3_pkgversion}-pytz
BuildRequires:      python%{python3_pkgversion}-decorator
BuildRequires:      python%{python3_pkgversion}-pytest-mock
BuildRequires:      python%{python3_pkgversion}-pytest-vcr
BuildRequires:      python%{python3_pkgversion}-pytest-cov
BuildRequires:      python%{python3_pkgversion}-yarl
Requires:           python%{python3_pkgversion}-six

%description -n python%{python3_pkgversion}-%{modname}
%{summary}.

Python %{python3_version} version.

%prep
%autosetup -n %{modname}.py-%{version}

%build
%py2_build
%py3_build

%install
%py2_install
%py3_install

%check
#%{__python2} setup.py test
%{__python3} setup.py test

%files -n python2-%{modname}
%doc README.rst *.md
%license LICENSE
%{python2_sitelib}/mastodon/
%{python2_sitelib}/%{modname}.py-*.egg-info/

%files -n python%{python3_pkgversion}-%{modname}
%doc README.rst *.md
%license LICENSE
%{python3_sitelib}/mastodon/
%{python3_sitelib}/%{modname}.py-*.egg-info/

%changelog
* Thu Dec 21 2017 Gwyn Ciesla <limburgher@gmail.com> - 1.2.1-1
- 1.2.1, 2.1.0 compatibility.
- Disabled Python 2 tests, failing in mock.

* Tue Nov 21 2017 Gwyn Ciesla <limburgher@gmail.com> - 1.1.2-1
- 1.1.2, full Mastodon 2.0.0 support.

* Mon Oct 16 2017 Gwyn Ciesla <limburgher@gmail.com> - 1.1.1-2
- Fix macro usage for review.

* Fri Oct 13 2017 Gwyn Ciesla <limburgher@gmail.com> - 1.1.1-1
- Initial package.
